local mod = ...



-- Change Food Market stalls so that they only sell foods that do not have a "sellable" counterpart, to avoid an issue with Times and Seasons mod
mod:registerEnumValue ("RESOURCE_TYPE", "FOOD_SELLABLE") -- these are items that are sold in the vanilla market stalls
mod:override({
    Id = "BUILDING_FUNCTION_FOOD_MARKET",
    TypeList = {
        "FOOD_SELLABLE"
    }
})



-- Override foods to be sellable in markets tables
mod:override({ 
    Id = "BERRIES", 
    ResourceTypeList = { "RESOURCE_FOOD", "FOOD", "FOOD_SELLABLE" } 
})

mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_BREAD" )
mod:override({
    Id = "BREAD",
	ResourceTypeList = { "FOOD", "RESOURCE_TYPE_BREAD", "FOOD_SELLABLE" }
})

mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_FISH" )
mod:override({
    Id = "FISH",
	ResourceTypeList = { "FOOD", "RESOURCE_TYPE_FISH", "FOOD_SELLABLE" }
})

mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_CHEESE" )
mod:override({
    Id = "CHEESE",
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE", "RESOURCE_TYPE_CHEESE", "RESOURCE_FOOD" }
})

mod:override({
    Id = "BOAR",
	ResourceTypeList = { "FOOD", "RESOURCE_FOOD", "FOOD_SELLABLE" }
})

mod:override({ 
    Id = "HONEY", 
    ResourceTypeList = { "LUXURY_FOOD" } 
})



-- Egg -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Egg.png", "ICON_BV1_EGG", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_EGG",
	ResourceName = "BV1_EGG_NAME",
	Icon = "ICON_BV1_EGG",
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 8 }
})



-- Butter -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Butter.png", "ICON_BV1_BUTTER", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_BUTTER",
	ResourceName = "BV1_BUTTER_NAME",
	Icon = "ICON_BV1_BUTTER",
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})



-- Pastry -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Pastry.png", "ICON_BV1_PASTRY", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_PASTRY",
	ResourceName = "BV1_PASTRY_NAME",
	Icon = "ICON_BV1_PASTRY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})

-- Sugar -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Sugar.png", "ICON_BV1_SUGAR", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_SUGAR",
	ResourceName = "BV1_SUGAR_NAME",
	Icon = "ICON_BV1_SUGAR",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 }
})

-- Salt -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Salt.png", "ICON_BV1_SALT", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_SALT",
	ResourceName = "BV1_SALT_NAME",
	Icon = "ICON_BV1_SALT",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 3 }
})

-- Fruit -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Fruit.png", "ICON_FRUIT", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FRUIT",
	ResourceName = "RESOURCE_FRUIT_NAME",
	Icon = "ICON_FRUIT",
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 },
	DisplayInInventory = true
})



-- Flax -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Flax.png", "ICON_FLAX", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FLAX",
	ResourceName = "RESOURCE_FLAX_NAME",
	Icon = "ICON_FLAX",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 },
	DisplayInInventory = true
})



-- Clay -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Clay.png", "ICON_CLAY", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_CLAY",
	ResourceName = "RESOURCE_CLAY_NAME",
	Icon = "ICON_CLAY",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	DisplayInInventory = true
})



-- Pottery -------------------------------------------------------------------------------------
mod:registerEnumValue ("RESOURCE_TYPE", "RESOURCE_TYPE_POTTERY")
mod:registerAssetId("icons/Pottery.png", "ICON_POTTERY", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_POTTERY",
	ResourceName = "RESOURCE_POTTERY_NAME",
	Icon = "ICON_POTTERY",
	ResourceTypeList = { "RESOURCE_TYPE_POTTERY", "GOODS" },
	VillagerBuyingPrice = {
		Resource = "GOLD_COINS",
		Quantity = 8
	},
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Clay Tile -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Tile.png", "ICON_TILE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_TILE",
	ResourceName = "RESOURCE_TILE_NAME",
	Icon = "ICON_TILE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Wood Shingles -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Shingle.png", "ICON_SHINGLE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_SHINGLE",
	ResourceName = "RESOURCE_SHINGLE_NAME",
	Icon = "ICON_SHINGLE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Thatch -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Thatch.png", "ICON_THATCH", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_THATCH",
	ResourceName = "RESOURCE_THATCH_NAME",
	Icon = "ICON_THATCH",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Authority -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_AUTHORITY" )
mod:registerAssetId("icons/Authority.png", "ICON_AUTHORITY", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_AUTHORITY",
	ResourceName = "RESOURCE_AUTHORITY_NAME",
	Icon = "ICON_AUTHORITY",
	ResourceTypeList = { "RESOURCE_TYPE_AUTHORITY" },
	IsTradable = false,
    DisplayInInventory = false,
	DisplayInToolbar = true,
	OrderId = 0
})



-- Wage -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Wage.png", "ICON_WAGE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_WAGE",
	ResourceName = "RESOURCE_WAGE_NAME",
	Icon = "ICON_WAGE",
	ResourceTypeList = { "RESOURCE_TYPE_AUTHORITY" },
	IsTradable = false,
    DisplayInInventory = false,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Furniture -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_FURNITURE" )
mod:registerAssetId("icons/Furniture.png", "ICON_FURNITURE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FURNITURE",
	ResourceName = "RESOURCE_FURNITURE_NAME",
	Icon = "ICON_FURNITURE",
	ResourceTypeList = { "GOODS", "RESOURCE_TYPE_FURNITURE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 },
	DisplayInInventory = true
})



-- Carcass -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Carcass.png", "ICON_BV1_CARCASS", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_CARCASS",
	ResourceName = "BV1_CARCASS_NAME",
	Icon = "ICON_BV1_CARCASS",
	ResourceTypeList = { "RESOURCE_FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 },
	DisplayInInventory = true
})



-- Meat -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "BUTCHER_RESOURCE_TYPE" )
mod:registerAssetId("icons/Meat.png", "ICON_BV1_MEAT", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "BV1_MEAT",
	ResourceName = "BV1_MEAT_NAME",
	Icon = "ICON_BV1_MEAT",
	ResourceTypeList = { "FOOD", "BUTCHER_RESOURCE_TYPE", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 14 },
	DisplayInInventory = true
})



-- Candle -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_CHANDLER" )
mod:registerAssetId("icons/Candle.png", "ICON_CANDLE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_CANDLE",
	ResourceName = "RESOURCE_CANDLE_NAME",
    OrderId = 15,
	Icon = "ICON_CANDLE",
	ResourceTypeList = { "GOODS", "RESOURCE_TYPE_CHANDLER" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 8 },
	DisplayInInventory = true
})



-- Tallow -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Tallow.png", "ICON_TALLOW", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_TALLOW",
	ResourceName = "RESOURCE_TALLOW_NAME",
	Icon = "ICON_TALLOW",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 6 },
	DisplayInInventory = false
})



-- Livestock -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "LIVESTOCKFARM_RESOURCE_TYPE" )



-- Cattle -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Cattle.png", "ICON_CATTLE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_CATTLE",
	ResourceName = "RESOURCE_CATTLE_NAME",
	Icon = "ICON_CATTLE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	-- ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 },
	DisplayInInventory = false
})



-- Pig -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Pig.png", "ICON_PIG", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_PIG",
	ResourceName = "RESOURCE_PIG_NAME",
	Icon = "ICON_PIG",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	-- ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 },
	DisplayInInventory = false
})



-- Sheep -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Sheep.png", "ICON_SHEEP", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_SHEEP",
	ResourceName = "RESOURCE_SHEEP_NAME",
	Icon = "ICON_SHEEP",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	-- ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 },
	DisplayInInventory = false
})



-- Goat -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Goat.png", "ICON_GOAT", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_GOAT",
	ResourceName = "RESOURCE_GOAT_NAME",
	Icon = "ICON_GOAT",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	-- ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 },
	DisplayInInventory = false
})



-- Animal Feed -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Feed.png", "ICON_FEED", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FEED",
	ResourceName = "RESOURCE_FEED_NAME",
	Icon = "ICON_FEED",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	-- ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 },
	DisplayInInventory = false
})



-- Cider -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Cider.png", "ICON_CIDER", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_CIDER",
    ResourceName = "RESOURCE_CIDER_NAME",
    OrderId = 40,
	Icon = "ICON_CIDER",
	ResourceTypeList = { "TAVERN", "RESOURCE_FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 16 },
	DisplayInInventory = true
})



-- Entertainment -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Entertainment.png", "ICON_ENTERTAINMENT", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_ENTERTAINMENT",
	ResourceName = "RESOURCE_ENTERTAINMENT_NAME",
	Icon = "ICON_ENTERTAINMENT",
	ResourceTypeList = { "ENTERTAINMENT" },
	VillagerBuyingPrice = {
		Resource = "GOLD_COINS",
		Quantity = 2
	},
	IsTradable = false,
    DisplayInInventory = false,
	DisplayInToolbar = true,
	OrderId = 0
})



-- Dung -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Dung.png", "ICON_DUNG", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_DUNG",
	ResourceName = "RESOURCE_DUNG_NAME",
	Icon = "ICON_DUNG",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false, -- available to store in the warehouse
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 2 },
	DisplayInInventory = true
})



-- Compost -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Compost.png", "ICON_COMPOST", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_COMPOST",
	ResourceName = "RESOURCE_COMPOST_NAME",
	Icon = "ICON_COMPOST",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false, -- available to store in the warehouse
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 2 },
	DisplayInInventory = false
})



-- Poultry -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "POULTRYFARM_RESOURCE_TYPE" )
mod:registerEnumValue( "RESOURCE_TYPE", "POULTRYFARM_POULTRY_RESOURCE_TYPE" )
mod:registerEnumValue( "RESOURCE_TYPE", "POULTRYFARM_EGG_RESOURCE_TYPE" )
mod:registerAssetId("icons/Poultry.png", "ICON_POULTRY", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_POULTRY",
	ResourceName = "RESOURCE_POULTRY_NAME",
	OrderId = 1,
	Icon = "ICON_POULTRY",
	-- ResourceTypeList = { "FOOD", "POULTRYFARM_POULTRY_RESOURCE_TYPE" },
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 },
    DisplayInInventory = true
})



-- Chicken -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Chicken.png", "ICON_CHICKEN", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_CHICKEN",
	ResourceName = "RESOURCE_CHICKEN_NAME",
	Icon = "ICON_CHICKEN",
	ResourceTypeList = { "RESOURCE_FOOD" },
	IsTradable = false,
	ResourceLayoutType = "CRATES",
	DisplayInInventory = false
})



-- Goose -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Goose.png", "ICON_GOOSE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_GOOSE",
	ResourceName = "RESOURCE_GOOSE_NAME",
	Icon = "ICON_GOOSE",
	ResourceTypeList = { "RESOURCE_FOOD" },
	IsTradable = false,
	ResourceLayoutType = "CRATES",
	DisplayInInventory = false
})



-- Vegetable -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "VEGETABLEFARM_RESOURCE_TYPE" )
mod:registerAssetId("icons/Vegetable.png", "ICON_VEGETABLE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_VEGETABLE",
	ResourceName = "RESOURCE_VEGETABLE_NAME",
	OrderId = 5,
	Icon = "ICON_VEGETABLE",
	-- ResourceTypeList = { "FOOD", "VEGETABLEFARM_RESOURCE_TYPE" },
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 12 },
    DisplayInInventory = true
})



-- Raw Vegetable -------------------------------------------------------------------------------------
mod:registerAssetId("icons/RawVegetable.png", "ICON_RAW_VEGETABLE", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_VEGETABLE_RAW",
	ResourceName = "RESOURCE_VEGETABLE_RAW_NAME",
	Icon = "ICON_RAW_VEGETABLE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = false,
	ResourceLayoutType = "CRATES",
	DisplayInInventory = false
})



-- Security -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_SECURITY" )
mod:registerAssetId("icons/Security.png", "ICON_SECURITY", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_SECURITY",
	ResourceName = "RESOURCE_SECURITY_NAME",
	Icon = "ICON_SECURITY",
	ResourceTypeList = { "RESOURCE_TYPE_SECURITY" },
	IsTradable = false,
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 },
    DisplayInInventory = false,
    DisplayInToolbar = true
    -- ConsumptionBehaviorOverride = "BEHAVIOR_TREE_SECURITY_CONSUME"
})



-- Waterfowl -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Waterfowl.png", "ICON_WATERFOWL", _iconType)

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_WATERFOWL",
	ResourceName = "RESOURCE_WATERFOWL_NAME",
	OrderId = 1,
	Icon = "ICON_WATERFOWL",
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 8 },
    DisplayInInventory = true
})



-- Resource: Milk (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same as Milk, but is different. This is to avoid an issue with Times and Seasons mod

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_MILK_SELL",
	ResourceName = "MILK",
	Icon = _iconMilk,
    ResourceTypeList = { "FOOD", "LIVESTOCKFARM_RESOURCE_TYPE" },
	IsTradable = false,
	ResourceLayoutType = "CRATES",
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 },
	DisplayInInventory = false
})



-- Resource: Berries (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same as Berries, but is different. This is to avoid an issue with Times and Seasons mod
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_BERRY" )
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_BERRIES_SELL",
	ResourceName = "BERRIES",
	Icon = _iconBerry,
    ResourceTypeList = { "RESOURCE_FOOD", "FOOD", "RESOURCE_TYPE_BERRY" },
	IsTradable = false,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 9 },
	DisplayInInventory = false
})



-- Resource: Honey (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same as Honey, but is different. This is to avoid an issue with Times and Seasons mod
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_HONEY" )
mod:registerAssetId("icons/Honey.png", "ICON_HONEY", _iconType) -- I could not find the name of the Honey icon in the base game, so I re-declare it with my own ID
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_HONEY_SELL",
	ResourceName = "HONEY",
	Icon = "ICON_HONEY",
    ResourceTypeList = { "RESOURCE_TYPE_HONEY" },
	IsTradable = false,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 10 },
	DisplayInInventory = false
})



-- Resource: Fruit (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same as Fruit, but is different. This is to avoid an issue with Times and Seasons mod
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_FRUIT" )
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FRUIT_SELL",
	ResourceName = "RESOURCE_FRUIT_NAME",
	Icon = "ICON_FRUIT",
    ResourceTypeList = { "FOOD", "RESOURCE_TYPE_FRUIT" },
	IsTradable = false,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 10 },
	DisplayInInventory = false
})



-- Resource: Poultry (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same, but is different. This is to avoid an issue with Times and Seasons mod
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_POULTRY_SELL",
	ResourceName = "RESOURCE_POULTRY_NAME",
	Icon = "ICON_POULTRY",
    ResourceTypeList = { "FOOD", "POULTRYFARM_POULTRY_RESOURCE_TYPE" },
	IsTradable = false,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 10 },
	DisplayInInventory = false
})



-- Resource: Eggs (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same, but is different. This is to avoid an issue with Times and Seasons mod
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_EGG_SELL",
	ResourceName = "BV1_EGG_NAME",
	Icon = "ICON_BV1_EGG",
    ResourceTypeList = { "FOOD", "POULTRYFARM_EGG_RESOURCE_TYPE" },
	IsTradable = false,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 8 },
	DisplayInInventory = false
})



-- Resource: Vegetables (Sellable) -------------------------------------------------------------------------------------
-- I create a second resource that appears the same, but is different. This is to avoid an issue with Times and Seasons mod
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_VEGETABLE_SELL",
	ResourceName = "RESOURCE_VEGETABLE_NAME",
	Icon = "ICON_VEGETABLE",
    ResourceTypeList = { "FOOD", "VEGETABLEFARM_RESOURCE_TYPE" },
	IsTradable = false,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 12 },
	DisplayInInventory = false
})



-- -- Resource: Wood (Sellable) -------------------------------------------------------------------------------------
-- -- I create a second resource that appears the same as Wood, but is different. This is to avoid an issue with Times and Seasons mod
mod:registerEnumValue( "RESOURCE_TYPE", "FUEL_RESOURCE_TYPE" )
mod:registerEnumValue( "RESOURCE_TYPE", "FUEL_RESOURCE_TYPE_WOOD" )
mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_WOOD_SELL",
	ResourceName = "WOOD",
	Icon = _iconWood,
    ResourceTypeList = { "RESOURCE", "FUEL_RESOURCE_TYPE", "FUEL_RESOURCE_TYPE_WOOD" },
	IsTradable = false,
	ResourceLayoutType = "CRATES",
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 },
	DisplayInInventory = false
})



-- Paganism -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Paganism.png", "ICON_PAGANISM", _iconType)
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_PAGANISM" )

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_PAGANISM",
	ResourceName = "RESOURCE_PAGANISM_NAME",
	Icon = "ICON_PAGANISM",
	ResourceTypeList = { "RESOURCE_TYPE_PAGANISM", "SERVICE" },
	IsTradable = false,
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 },
    DisplayInInventory = false,
    DisplayInToolbar = false,
})



-- Resource: Mushrooms -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Mushroom.png", "ICON_MUSHROOM", _iconType)
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_MUSHROOM" )

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_MUSHROOM",
	ResourceName = "RESOURCE_MUSHROOM_NAME",
	Icon = "ICON_MUSHROOM",
    ResourceTypeList = { "FOOD", "RESOURCE_TYPE_MUSHROOM" },
	IsTradable = true,
    VillagerBuyingPrice = { Resource = "GOLD_COINS", Quantity = 6 },
	DisplayInInventory = true
})
